@charset "utf-8";

:root{
  --header-height: 65px;
}

.sp_header {
    position: sticky;
    top: 29px;
}

.sp_header .sp-logo {
    display: grid;
    place-content: center;
    margin-bottom: 0;
    height: 100%;
}

@media screen and (max-width:768px) {
    .sp_header {
        top: 0;
    }
}

/* for PC */
@media screen and (min-width:1101px) {
  .sp_header{
    display: none!important;
  }

  .header{
    position: relative;
    height: var(--header-height);
    width: 100%;
    background-color: #fff;
    z-index: 999999;
    &.fixed{
      position: fixed;
      top: 29px;
    }

    .header-inner{
      display: flex;
      align-items: center;
      justify-content: space-between;
      height: 100%;
      max-width: 1100px;
      margin: auto;
      .header-logo{
        padding-right: 15px;
        img{
          width: 216px;
        }
      }
      nav{
        height: 100%;
      }
    }
  }

  .header-menu{
    display: flex;
    height: 100%;
    padding-left: 0;
    .menu-list{
      display: block;
      height: 100%;
      padding: 0 16px;
      display: grid;
      place-content: center;
      font-size: 16px;
      letter-spacing: 0;
      font-weight: 500 !important;
      line-height: 1;
      white-space: nowrap;
      color: #223447;
      font-family: var(--bs-font-sans-serif);
      &:hover,
      &[aria-expanded="true"]{
        color: var(--bs-white);
        background-color: var(--bs-secondary);
        text-decoration: none;
      }
    }
    button.menu-list{
    -webkit-appearance: none;
    appearance: none;
    background: transparent;
    border: none;
    margin: 0;
    font-weight: 500 !important;
    font-family: var(--bs-font-sans-serif);
    position: relative;
      &::after{
        content: "";
        position: absolute;
        top: 45px;
        left: 50%;
        transform: translateX(-50%);
        display: block;
        width: 4px;
        height: 4px;
        border-right: 1px solid rgba(34, 52, 71, 0.5);
        border-bottom: 1px solid rgba(34, 52, 71, 0.5);
        transform: translateX(-50%) rotate(45deg);
        box-sizing: border-box;
      }
    }
  }

  .header-subMenu{
    visibility: hidden;
    opacity: 0;
    position: absolute;
    top: var(--header-height);
    left: 0;
    width: 100%;
    background-color: var(--bs-white);
    transition: opacity 0.3s ease, visibility 0.3s;

    &.is-open{
      visibility: visible;
      opacity: 1;
      transition: opacity 0.3s ease, visibility 0s;
    }

    .header-subMenu-scroll{
      overflow-y: auto;
      max-height: calc(100vh - var(--header-height) - 29px);
      padding: 24px 0 32px 0;
      width: 100%;
      display: grid;
      justify-content: center;
    }

    .header-subMenu-inner{
      display: grid;
      grid-template-columns: 2fr 1fr 1fr;
      max-width: 1080px;
      margin-inline: auto;;
      margin: 0;
      column-gap: 32px;
      letter-spacing: 0.04em;
      font-size: 16px;
      padding-left: 0;
      ul{
        padding-left: 0;
      }
      a{
        display: block;
        position: relative;
        padding-left: 24px;
        &::before{
          content: "";
          position: absolute;
          left: 0;
          width: 16px;
          height: 16px;
          background-image: url(/template/img/header_img/header-menu-icon.svg);
          margin: 4px 0 0 0;
        }
        >span{
          text-decoration: none;
          background-image: linear-gradient( 90deg, #296985, #296985 );
          background-size: 0 1px;
          background-position: left bottom;
          background-repeat: no-repeat;
          transition: all .3s;
          -webkit-box-decoration-break: clone;
          box-decoration-break: clone;
          display: inline;
          &:hover{
            background-size: 100% 1px;
          }
        }
      }

      .menu-main{
        font-weight: bold;
        line-height: 1.6;
        padding: 5px 0 3px 0;
        border-bottom: 2px solid var(--bs-secondary);
        display: block;
        width: 100%;
        display: flex;
        align-items: center;
        > a{
          color: var(--bs-primary);
          text-decoration: none;
          @media screen and (min-width: 1101px){
            padding-left: 28px;
          }
          &::before{
            width: 20px;
            height: 20px;
            top: 50%;
            transform: translateY(-50%);
            margin: 0;
          }
          &.menu-main__aws::before{
            background-image: url(/template/img/header_img/icon-aws.svg);
          }
          &.menu-main__gcp::before{
            background-image: url(/template/img/header_img/icon-gcp.svg);
          }
          &.menu-main__security::before{
            background-image: url(/template/img/header_img/icon-security.svg);
          }
          &:hover{
            color: var(--bs-secondary);
          }
        }
      }
      .menu-sub-wrap{
      display: block;
        &.column-2{
        display: flex;
        column-gap: 16px;
        }
        >li{
          break-inside: avoid;
        }
      }
      .menu-item-wrap{
        display: flex;
        flex-direction: column;
        row-gap: 12px;
        margin-top: 12px;
        margin-left: 8px;
      }
      .menu-sub{
        font-weight: bold;
        line-height: 1.4;
        margin-left: 8px;
        color: #296985;
        padding-top: 12px;
      }
      .menu-group-label{
        font-weight: bold;
        line-height: 1.6;
        padding: 5px 0;
        color: var(--bs-primary);
        white-space: nowrap;
        margin-top: 12px;
        display: block;
      }
      .menu-item{
        line-height: 1.4;
        color: #296985;
        small{
          font-size: 14px;
        }
      }
      hr{
        border: none;
        border-bottom: 1px dashed #ccc;
        margin: 12px 0;
      }
      hr + li{
        padding-top: 0!important;
      }
    }
  }

  .header-btn{
    display: flex;
    column-gap: 10px;
    li{
      margin-left: 0!important;
    }
  }
}

/* for SP */
@media screen and (max-width:1100px) {
  .header {
    display: none!important;
  }

  .sp_header {
    display: block!important;
    z-index: 900;
    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.1);
    width: 100%;
    background-color: #fff;
  }

  .sp_header_sp02 {
    width: 100%;
    height: 100%;
    height: 60px;
    position: relative;
  }

  .sp_header .sp-logo img {
    height: 20px;
  }

  .sp_header .d-flex {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
  }

  .sp_header .d-flex .sp-logo {
    margin: 0;
    padding-top: 0;
    text-align: left;
  }

  .sp_header .d-flex .header-tel {
    margin-bottom: 0;
  }

  .sp_header .d-flex .header-tel-value {
    font-size: 1.6rem;
  }

  .sp_header ul {
  padding-left: 0;
  }

  .sp_header .gnav {
    margin-top: 60px;
    background: #223447;
    text-align: center;
    color: #fff;
    overflow-y: scroll;
  }

  .sp_header .gnav__inner {
    display: block;
  }

  .sp_header .gnav__menu {
    width: auto;
  }

  .sp_header .gnav__menu__item a {
    padding: 14px 0;
    font-size: 1.4rem;
    font-weight: normal;
  }

  .sp_header .gnav__menu__item a:hover {
    color: #fff;
  }

  .sp_header .gnav__menu__item.gnav__menu__item-no-border {
    border-bottom: none;
  }

  .sp_header .gnav__menu__item.gnav__menu__item-divider {
    border-bottom: 2px solid rgba(0, 0, 0, 0.2);
    border-bottom-width: 2px!important;
  }

  .sp_header .gnav__menu__item .gnav__menu__item-title {
    background-color: rgba(0, 0, 0, 0.2);
    display: block;
    padding: 9.5px 0;
    font-size: 12px;
    line-height: 1.2;
    letter-spacing: 1.2px;
  }

  .sp_header .gnav__menu__item .gnav-accordion-header {
    position: relative;
    padding-top: 10px;
    padding-bottom: 10px;
  }

  .sp_header .gnav__menu__item .gnav-accordion-header:after {
    content: "";
    position: absolute;
    margin-top: -6px;
    top: 50%;
    right: 43px;
    border-right: 1px solid rgba(255, 255, 255, 0.5);
    border-bottom: 1px solid rgba(255, 255, 255, 0.5);
    width: 12px;
    height: 12px;
    transform: rotate(45deg);
    transition: 0.3s;
  }

  .sp_header .gnav__menu__item .gnav-accordion-header.on:after {
    transform: rotate(225deg);
    transition: 0.3s;
  }

  .sp_header .gnav__menu__item .gnav-accordion-header a {
    display: inline;
    padding: 0;
  }

  .sp_header .gnav__menu__item .gnav-accordion-collapse {
    padding-right: 30px;
    padding-left: 30px;
  }

  .sp_header .gnav__menu__item .gnav-accordion-collapse a {
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 1.2rem;
  }

  .sp_header .gnav__menu__item .gnav-accordion-collapse .gnav__menu__item:last-of-type {
    border-bottom-width: 0;
  }

  .sp_header .gnav-accordion-collapse {
    background: #2d7492;
  }

  .sp_header .gnav-btn-group {
    padding-bottom: 120px;
  }
}